#!/bin/bash
go() {
   local job="$1" start="$2" end="$3"
   local i=$start out=""
   local burl="https://jenkins.ubuntu.com/server/job"
   
   while [ $i -le $end ]; do
      out="$job.$i.log"
      [ -f "$out" ] && continue
      wget "$burl/$job/$i/consoleText" -O "$out.tmp" && 
         mv "$out.tmp" "$out" || return 1
      i=$(($i+1))
   done
}

set -e
go cloud-init-integration-proposed-b 19 43
go cloud-init-integration-proposed-x 14 38
go cloud-init-integration-lxd-b 197 221
go cloud-init-integration-lxd-c 49 73
go cloud-init-integration-lxd-x 586 610
